Skip to main content
GET
Get payment signature for a user
Generating a signature authorizes a movement of funds, so this GET requires contractsAndSignatures:write โ€” not read. See API key roles.

Authorizations

Api-Key
string
header
required

Path Parameters

userId
string<uuid>
required

Id of the user to get a payment signature for

Query Parameters

chainId
integer

The chain id - as a parsed base-10 number - that the smart contract is deployed on

token
string
required

The address of the token that the payment should be made in, as a hex string for EVM or base58 string for Solana

amount
string
required

The amount of token that is being paid, in cents unless isAmountNative is true

isAmountNative
boolean

Whether the amount is in the asset's native units. If false or omitted, amount is in cents.

adminAddress
string
required

The address making the payment, as a hex string for EVM or base58 string for Solana, which should be an admin of the smart contract

rainCollateralContractId
string<uuid>

Optional ID of the specific collateral contract to use for this signature

Response

Successful operation

status
enum<string>
required

Status of the signature

Available options:
ready
signature
object
required
expiresAt
string<date-time>

The time at which the signature expires

amountCents
integer

The cents Rain prices the signed amounts at. Payment signatures only: create the pending payment for this value.

teamId
string<uuid>

The team ID associated with the user, useful for passing to makePaymentFromCollateral